Search for documents
Search for documents
Developing with the CLM API is only available for CLM customers with a production account. To purchase a plan to gain access to the CLM API, contact Docusign Sales.
Authentication
AuthorizationBearer
Docusign OAuth 2.0 access token, sent as Authorization: Bearer <token>.
Path parameters
accountId
The ID of the Docusign account.
Query parameters
expand
(AttributeGroups): Attribute groups saved on the document.
pageSortParams.offset
The number of objects at the beginning of the collection to skip
pageSortParams.limit
The number of objects per page
pageSortParams.sortProperty
The property of the collection object on which to sort
pageSortParams.sortDirection
ASC for ascending. DESC for descending
Allowed values:
pageSortParams.filter
The property of the collection object on which to filter
pageSortParams.filterExact
If true, filtering will perform an exact match instead of the default contains match
pageSortParams.caseInsensitive
If FilterExact is true and this is true, filtering will perform an exact match but will ignore case
Request
SearchTask object representing a search query specifically for documents.
Content
Text in the body of the object for which to search
Extensions
The search will match any documents with an extension found in this comma separated list
UpdatedOnOrAfter
Limit results to objects that were updated on or after this date
UpdatedOnOrBefore
Limit results to objects that were updated on or before this date
AnyAttributeField
Search for an object with any attribute field with this value
AttributeGroups
A list of attribute group specifications to refine search
AttributeFields
A list of attribute field specifications to refine search
Status
The progress of the task
AllWords
The search will match all words in this comma separated list
AnyWords
The search will match any words in this comma separated list
WithoutWords
The search will match only objects excluding the words in this comma separated list
Phrase
A multi-word phrase on which to match
IncludeSubFolders
Whether to include subfolders of the InFolder in the search query
IsInTrash
Whether to include trashed items in the search query
Title
Search for an object by its title
Description
Search for an object by its description
Href
Uri where the object can be retrieved.
InFolder
A specific folder in which to conduct the search
UpdatedBy
Search for who last updated an object
Result
The resulting collection of objects which match the search query
Response
OK
Status
The progress of the task
AllWords
The search will match all words in this comma separated list
AnyWords
The search will match any words in this comma separated list
WithoutWords
The search will match only objects excluding the words in this comma separated list
Phrase
A multi-word phrase on which to match
IncludeSubFolders
Whether to include subfolders of the InFolder in the search query
IsInTrash
Whether to include trashed items in the search query
Title
Search for an object by its title
Description
Search for an object by its description
Href
Uri where the object can be retrieved.
InFolder
A specific folder in which to conduct the search
UpdatedBy
Search for who last updated an object
Result
The resulting collection of objects which match the search query